Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Bond

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.Bond

    public class Bond

extends XenAPIObject

Nested Class Summary
`static class` | `Bond.Record` Represents all the fields in a Bond

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given Bond.
`static Bond` | `create(Connection c, Network network, Set<PIF> members, String MAC, Types.BondMode mode, Map<String,String> properties)` Create an interface bond
`static Task` | `createAsync(Connection c, Network network, Set<PIF> members, String MAC, Types.BondMode mode, Map<String,String> properties)` Create an interface bond
`void` | `destroy(Connection c)` Destroy an interface bond
`Task` | `destroyAsync(Connection c)` Destroy an interface bond
`boolean` | `equals(Object obj)` If obj is a Bond, compares XenAPI references for equality.
`static Set<Bond>` | `getAll(Connection c)` Return a list of all the Bonds known to the system.
`static Map<Bond,Bond.Record>` | `getAllRecords(Connection c)` Return a map of Bond references to Bond records for all Bonds known to the system.
`static Bond` | `getByUuid(Connection c, String uuid)` Get a reference to the Bond instance with the specified UUID.
`Long` | `getLinksUp(Connection c)` Get the links_up field of the given Bond.
`PIF` | `getMaster(Connection c)` Get the master field of the given Bond.
`Types.BondMode` | `getMode(Connection c)` Get the mode field of the given Bond.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given Bond.
`PIF` | `getPrimarySlave(Connection c)` Get the primary_slave field of the given Bond.
`Map<String,String>` | `getProperties(Connection c)` Get the properties field of the given Bond.
`Bond.Record` | `getRecord(Connection c)` Get a record containing the current state of the given Bond.
`Set<PIF>` | `getSlaves(Connection c)` Get the slaves field of the given Bond.
`String` | `getUuid(Connection c)` Get the uuid field of the given Bond.
`int` | `hashCode()`
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given Bond.
`void` | `setMode(Connection c, Types.BondMode value)` Change the bond mode
`Task` | `setModeAsync(Connection c, Types.BondMode value)` Change the bond mode
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given Bond.
`void` | `setProperty(Connection c, String name, String value)` Set the value of a property of the bond
`Task` | `setPropertyAsync(Connection c, String name, String value)` Set the value of a property of the bond
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a Bond, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public Bond.Record getRecord(Connection c)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given Bond.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static Bond getByUuid(Connection c,
                                 String uuid)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Get a reference to the Bond instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMaster

    public PIF getMaster(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  Get the master field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSlaves

    public Set<PIF> getSlaves(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the slaves field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPrimarySlave

    public PIF getPrimarySlave(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the primary_slave field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMode

    public Types.BondMode getMode(Connection c)
                           throws Types.BadServerResponse,
                                  Types.XenAPIException,
                                  org.apache.xmlrpc.XmlRpcException

  Get the mode field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getProperties

    public Map<String,String> getProperties(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Get the properties field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLinksUp

    public Long getLinksUp(Connection c)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Get the links_up field of the given Bond.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given Bond.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given Bond.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given Bond. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### createAsync

    public static Task createAsync(Connection c,
                                   Network network,
                                   Set<PIF> members,
                                   String MAC,
                                   Types.BondMode mode,
                                   Map<String,String> properties)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Create an interface bond

  Parameters:
    `network` - Network to add the bonded PIF to
    `members` - PIFs to add to this bond
    `MAC` - The MAC address to use on the bond itself. If this parameter is the empty string then the bond will inherit its MAC address from the primary slave.
    `mode` - Bonding mode to use for the new bond
    `properties` - Additional configuration parameters specific to the bond mode
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### create

    public static Bond create(Connection c,
                              Network network,
                              Set<PIF> members,
                              String MAC,
                              Types.BondMode mode,
                              Map<String,String> properties)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Create an interface bond

  Parameters:
    `network` - Network to add the bonded PIF to
    `members` - PIFs to add to this bond
    `MAC` - The MAC address to use on the bond itself. If this parameter is the empty string then the bond will inherit its MAC address from the primary slave.
    `mode` - Bonding mode to use for the new bond
    `properties` - Additional configuration parameters specific to the bond mode
  Returns:
    The reference of the created Bond object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroyAsync

    public Task destroyAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Destroy an interface bond

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroy

    public void destroy(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Destroy an interface bond

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setModeAsync

    public Task setModeAsync(Connection c,
                             Types.BondMode value)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Change the bond mode

  Parameters:
    `value` - The new bond mode
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setMode

    public void setMode(Connection c,
                        Types.BondMode value)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Change the bond mode

  Parameters:
    `value` - The new bond mode
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setPropertyAsync

    public Task setPropertyAsync(Connection c,
                                 String name,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Set the value of a property of the bond

  Parameters:
    `name` - The property name
    `value` - The property value
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setProperty

    public void setProperty(Connection c,
                            String name,
                            String value)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Set the value of a property of the bond

  Parameters:
    `name` - The property name
    `value` - The property value
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<Bond> getAll(Connection c)
                            throws Types.BadServerResponse,
                                   Types.XenAPIException,
                                   org.apache.xmlrpc.XmlRpcException

  Return a list of all the Bonds known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<Bond,Bond.Record> getAllRecords(Connection c)
                                               throws Types.BadServerResponse,
                                                      Types.XenAPIException,
                                                      org.apache.xmlrpc.XmlRpcException

  Return a map of Bond references to Bond records for all Bonds known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD